Subject: Re: [PATCH -next] smsc911x: Fix crash seen if neither ACPI nor OF is configured or used

From: Jeremy Linton <[email-masked]>
Date: Mon, 17 Aug 2015 16:19:42 -0500

On 08/17/2015 03:45 PM, Guenter Roeck wrote:
> Commit 0b50dc4fc971 ("Convert smsc911x to use ACPI as well as DT") makes
> the call to smsc911x_probe_config() unconditional, and no longer fails if
> there is no device node. device_get_phy_mode() is called unconditionally,
> and if there is no phy node configured returns an error code. This error
> code is assigned to phy_interface, and interpreted elsewhere in the code
> as valid phy mode. This in turn causes qemu to crash when running a
> variant of realview_pb_defconfig.

Thanks for catching that! I have a couple other minor cleanups per the 
reviewers.

         Jeremy